Announcement Announcement Module
Collapse
No announcement yet.
Where are the GWT and DataNucleus Extensions? Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Where are the GWT and DataNucleus Extensions?

    I have installed springsource-tool-suite-2.3.3.M1-e3.5.2-win32-installer.exe and springsource-tool-suite-2.3.3.M1-e3.5.2-win32-x86_64-installer.exe on a new Windows 7 machine successfully. But when I want to install the "Google Plugin for Eclipse" and the "DataNucleus Plugin" from the Dashboard's Extension tab they are not displayed. There was no problem when I installed on Windows XP machine a couple of weeks ago. Am I missing something?

  • #2
    Hello,

    Did you specifically click the version with Google tools?

    Here is the link for that

    http://www.springsource.com/download...oogle-download

    Comment


    • #3
      GWT STS Download

      I downloaded the STS 2.3.3 M1 release, which I thought has the GWT stuff. I even used the same download that worked a couple of weeks ago! Is this correct?
      Thanks.

      Comment


      • #4
        I tried going through the tutorial step by step last night.
        It is almost unusable probably due to changes in the last month.
        The link to the bookmarks does not work and when you are done installing the sts you don't get the options to install the google toolkit or the data nucleus. After much frustration and reinstallation and finding out the installation manual linked to from the tutorial was out of date , I figured out that the only way to find the missing plugins was to ignore the regular update urls and use the nightly instead. After using the nightly urls it will give you the options for gwt and data nucleus.

        Hopefully the next milestone will not have these issues.

        Comment


        • #5
          Waiting for M2

          Thanks! I will wait for Milestone 2 which I understand is imminent.

          Comment


          • #6
            Even using the nightly update url I can't find the GPE/GWT related plugins. When I continue creating a new roo project and doing 'gwt setup' I get plenty of compile errors on missing GWT classes. Hopefuly someone can fix this cause a "STS with Google integration" distribution without the Google stuff is pretty much a big waste of time for everyone.

            Comment

            Working...
            X